﻿@model List<String>

<div>
    <center>
        <img src="~/Content/Images/Logo_Lippo.jpg" style="width:100%;height:auto;" alt=""><br /><br /><br />
        <div id="divSatisfactionContent" style="display: block;">
            @Html.Raw(ViewBag.HtmlStr)
        </div>
        <div id="divSatisfactionResponse" style="display: none;">
            @Html.Raw(ViewBag.HtmlResponse)
        </div>
    </center>
</div>

<script type="text/javascript">

    // get query string "id" parameter for Case ID
    function getParameterByName(name, url) {
        if (!url) {
            url = window.location.href;
        }
        name = name.replace(/[\[\]]/g, "\\$&");
        var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
            results = regex.exec(url);
        if (!results) return null;
        if (!results[2]) return '';
        return decodeURIComponent(results[2].replace(/\+/g, " "));
    };

    // show/hide html element (div)
    function showhide(id) {
        var e = document.getElementById(id);
        if (e.style.display == 'block')
            e.style.display = 'none';
        else
            e.style.display = 'block';
    }

    var ratingValue = $("#RatingHiddenValue").val();
    var SatisfactionAccessID = getParameterByName('id');
    var incidentID = getParameterByName('checking');


    // not finish --> submit description
    $('#SubmitDescription').on('click', function (e) {
        var descRequest = {
            SatisfactionAccessID : SatisfactionAccessID,
            CaseID: incidentID,
            SatisfactionDescription: $("#SatisfactionDescription").val()
        }
        $.ajax({
            url: '@Url.Content("~/Satisfaction/InsertSatisfactionDescription")',
            type: "POST",
            dataType: 'json',
            data: JSON.stringify(descRequest),
            contentType: "application/json",
            success: function (response) {
                //alert("Berhasil!");
                showhide("divSatisfactionContent");
                showhide("divSatisfactionResponse");
            },
            error: function (response) {
                alert("Error");
               // alert("Gagal! " + response.responseText);
                console.log(response.status + " " + response.statusText + " " + response.responseJSON + " " + response.responseText);
            }
        });
        return false;
    });

    $("#inputRating").on("rating.change", function (event, value, caption) {
        //var ratingValue = $("#RatingHiddenValue").val();
        //ratingValue = value;
        //alert(ratingValue);

        ratingValue = parseFloat(value);
    });

    // finish --> submit rating value
    $('#SubmitRating').on('click', function (e) {
        var ratingRequest = {
            SatisfactionAccessID: SatisfactionAccessID,
            CaseID: incidentID,
            SatisfactionRating: ratingValue,
            SatisfactionDescription: $("#SatisfactionDescription").val()
        }
        $.ajax({
            url: '@Url.Content("~/Satisfaction/InsertSatisfactionRating")',
            type: "POST",
            dataType: 'json',
            data: JSON.stringify(ratingRequest),
            contentType: "application/json",
            success: function (response) {
                showhide("divSatisfactionContent");
                showhide("divSatisfactionResponse"); 
            },
            error: function (response) {
                alert("Error");
                //alert(response.responseText);
                console.log(response.status + " " + response.statusText + " " + response.responseJSON + " " + response.responseText);
            }
        });
        return false;
    });
</script>